Home > Effect Plugins > FX Rack Pultec Bundle
FX Rack Pultec Bundle

FX Rack Pultec Bundle

 
 
 
Full Product

AAX Native, AU, Mac, VST2, VST3

Download
in stock
$ 276.39

 8.97BestCoinBestCoin Bonus 

Program & Midrange Equalizer

This bundle includes the Pultec EQP-1A (Program) and Pultec MEQ-5 (Midrange) Equalizers. Both plugins include Native and FX Rack versions.

Meet Apogee FX Rack with Dual Path Recording

Apogee FX Rack Plugins are made with the same quest for quality and obsessive attention to detail as Apogee hardware products. Thanks to Apogee’s unique DualPath DSP-Native technology,  Apogee FX Rack plugins can run both on the hardware DSP in Ensemble Thunderbolt and Element Series interfaces and as native plugins on your Mac. Apogee’s DualPath technology opens up a variety of popular, simplified workflows, always with the lowest latency.

No other audio hardware and plugin platform offers a more powerful combination of professional sound quality and workflow flexibility.

 Similar Products


 Requirements

Mac:

  • macOS 10.12.6 or higher (10.14 Mojave fully supported)
  • 64 bit
  • RAM: 4GB (8GB recommended)

Windows:

  • Not supported
Required Registration:

Apogee products require you to register with the manufacturer at www.apogeedigital.com and with www.ilok.com to activate your license.

This product requires an activation!

For the activation you can either choose between using an iLok dongle (iLok 2 or iLok 3) or the iLok Cloud authorization process.

The iLokDongle can be used to run the protected software on different computers. Your licenses can be easily manged using the iLok License Manager. A internet connection on any computer and a free user-accout at www.ilok.com are required to authorize the product. To protect your investment against theft or loss we recommend the iLok Zero Downtime protection with TLC.

*This USB protection device is not included with your order, it is a separate item you have to buy additionally.

iLok Cloud requires an iLok account, which can be setup for free at www.ilok.com. Please install the latest version of iLok License Manger so you can manage your authorizations and active an iLok Cloud session. An active internet connection is required for all iLok Cloud sessions.

Please check with the software manufacturer which iLok version is required at least if you want to use a hardware iLok!